Subject: bug#20943: 25.0.50; Dired buffers are not always auto-reverted

From: Mark Karpov <[email-masked]>
Date: Fri, 10 Jul 2015 01:50:48 +0600

Currently I'm happy with my version of ‘auto-revert-buffer’. If you
think it gets too hairy. I can just create a package that fixes all this
stuff, so Dired can be really interactive and put it on MELPA for
example.

But as a user, I'm telling you that current standard behavior is really
confusing. If you set something to auto-revert your Dired buffer (and
this is something many people expect from utility to browse
directories), than when it works sometimes, but cease to work when you
made changes (probably having no idea that the buffer now considered
«modified») — this ain't good.